Bug 75548

Summary: [rollup] remove chromium-cg-mac baselines
Product: WebKit Reporter: epoger
Component: Tools / TestsAssignee: epoger
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, dpranke, enne, ojan
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 75810, 75811, 75813, 75814, 75873, 75881    
Bug Blocks:    

Description epoger 2012-01-04 08:04:34 PST
[split off of this thread: https://lists.webkit.org/pipermail/webkit-dev/2012-January/019006.html ]

We are going to remove the chromium-cg-mac expectations from WebKit now.  Here are the steps we plan to take... I will take the lead, and get help where needed.

1. remove the following buildbots that rely on chromium-cg-mac expectations (otherwise, they will start failing once the CG expectations disappear):
http://build.chromium.org/p/chromium.webkit/builders/Webkit%20Mac%20Builder%20%28CG%29%28deps%29
http://build.chromium.org/p/chromium.webkit/builders/Webkit%20Mac10.6%20%28CG%29%28deps%29
http://build.chromium.org/p/chromium.webkit/builders/Webkit%20Mac%20Builder%20%28CG%29
http://build.chromium.org/p/chromium.webkit/builders/Webkit%20Mac10.5%20%28CG%29
http://build.chromium.org/p/chromium.webkit/builders/Webkit%20Mac10.6%20%28CG%29
http://build.chromium.org/p/chromium.webkit/builders/Webkit%20Mac%20Builder%20%28CG%29%28dbg%29
http://build.chromium.org/p/chromium.webkit/builders/Webkit%20Mac10.5%20%28CG%29%28dbg%29%281%29
http://build.chromium.org/p/chromium.webkit/builders/Webkit%20Mac10.5%20%28CG%29%28dbg%29%282%29
http://build.chromium.org/p/chromium.webkit/builders/Webkit%20Mac10.6%20%28CG%29%28dbg%29

2. remove the LayoutTests/platform/*-cg-* directories from the WebKit repo

3. remove any CG-specific entries from LayoutTests/platform/chromium/test-expectations.txt

4. remove any CG-specific test code from the Tools/Scripts/webkitpy tree

5. Moving forward, reviewers and committers take care not to re-add expectations when committing pending patches. While I expect svn will warn in most cases, I doubt that it will catch everything.

6. "Won't fix" any bugs related to chromium-cg results.
Comment 1 Adam Barth 2012-01-04 08:05:49 PST
If you like, I can take care of (2) once you're done with (1).
Comment 2 epoger 2012-01-04 08:25:58 PST
(In reply to comment #1)
> If you like, I can take care of (2) once you're done with (1).

Sounds good.  I am in the midst of a couple other things today; hopefully I can tackle (1) during the remainder of this week, and then ping you to do (2) early next week.
Comment 3 epoger 2012-01-06 08:08:20 PST
(In reply to comment #2)
> Sounds good.  I am in the midst of a couple other things today; hopefully I can tackle (1) during the remainder of this week, and then ping you to do (2) early next week.

Part 1 is out for review as http://codereview.chromium.org/9124005/ ('Remove all (CG) buildbot variants.')
Comment 4 epoger 2012-01-06 11:19:14 PST
http://codereview.chromium.org/9124005/ has landed as http://src.chromium.org/viewvc/chrome?view=rev&revision=116700 .  I have requested a buildbot master restart to pick it up; I will update this bug once that restart has occurred, and we can then move on to step (2).
Comment 5 Adam Barth 2012-01-08 16:22:47 PST
We're going slightly out of order, but I think that's ok.
Comment 6 Adam Barth 2012-01-08 16:44:40 PST
@ojan; It's probably time to remove Chromium Mac CG from the flakiness dashboard.  I can take a swing at it if you like.
Comment 7 Ojan Vafai 2012-01-08 18:52:30 PST
(In reply to comment #6)
> @ojan; It's probably time to remove Chromium Mac CG from the flakiness dashboard.  I can take a swing at it if you like.

Go for it. A search for "cg" and deleting all the appropriate places should be sufficient.
Comment 8 epoger 2012-01-09 11:31:11 PST
(In reply to comment #4)
> http://codereview.chromium.org/9124005/ has landed as http://src.chromium.org/viewvc/chrome?view=rev&revision=116700 .  I have requested a buildbot master restart to pick it up; I will update this bug once that restart has occurred, and we can then move on to step (2).

The CG buildbots are no longer running, so step (1) is complete.  Adam, please go ahead with step (2).
Comment 9 Adam Barth 2012-01-09 11:32:14 PST
Done.
Comment 10 epoger 2012-01-09 11:38:50 PST
(In reply to comment #9)
> Done.

Ah, I see.  Looks like steps 1-4 are all complete.  You were busy this weekend. :-)  Thanks.

I guess once the fix to https://bugs.webkit.org/show_bug.cgi?id=75873 ('Remove Chromium Mac CG from the flakiness dashboard') lands, we can mark this bug as fixed...
Comment 11 Adam Barth 2012-01-09 13:08:14 PST
Yeah.  I figured doing this stuff while the tree was quiet was a good idea.  The flakiness dashboard is fixed now too, so I'm marking this bug as fixed.  Thanks!